
Installer - Bug #36028

assets are not compressed during delivery anymore

02/01/2023 09:46 AM - Evgeni Golov

Status: Closed   

Priority: Normal   

Assignee: Evgeni Golov   

Category: Foreman modules   

Target version: 3.5.2   

Difficulty:  Fixed in Releases: 3.5.2, 3.6.0

Triaged: Yes Found in Releases: 3.5.0, 3.5.1, 3.6.0

Bugzilla link: 2166244 Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/1106,

https://github.com/theforeman/foreman-i

nstaller/pull/830

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2166244

Description of problem:

# curl -k -I -H "Accept-Encoding: gzip" https://localhost/webpack/vendor-950b729ed5965c2a80e1.js

HTTP/2 200 

date: Wed, 01 Feb 2023 09:10:12 GMT

server: Apache

last-modified: Tue, 24 Jan 2023 16:16:09 GMT

etag: "a481-5f304d562e440" 

accept-ranges: bytes

content-length: 42113

content-type: application/javascript

 Version-Release number of selected component (if applicable):

6.13.0

How reproducible:

100%

Steps to Reproduce:

1. curl -k -I -H "Accept-Encoding: gzip" <URL_of_asset>

Actual results:

- No "content-encoding: gzip" header

- content-length shows the "full" size of the file, not the gziped size

Expected results:

# curl -k -I -H "Accept-Encoding: gzip" https://localhost/webpack/vendor-950b729ed5965c2a80e1.js

HTTP/2 200 

date: Wed, 01 Feb 2023 09:12:25 GMT

server: Apache

vary: Accept-Encoding

last-modified: Tue, 24 Jan 2023 16:16:09 GMT

etag: "3748-5f304d562e440" 

accept-ranges: bytes

content-length: 14152

content-encoding: gzip

content-type: text/javascript
 Additional info:

Associated revisions

Revision dee223bb - 02/01/2023 10:53 AM - Evgeni Golov

Fixes #36028 - ensure compressed assets are returned if available

Fixes: 6a02be6e8faecb4210f16a8a5aea37397bfe3f74

History

#1 - 02/01/2023 09:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/puppet-foreman/pull/1106 added

#2 - 02/01/2023 09:52 AM - Evgeni Golov

- Subject changed from assets are not compressed during delivery anymore

 to assets are not compressed during delivery anymore

- Description updated

#3 - 02/01/2023 09:53 AM - Evgeni Golov

- Target version set to 3.5.2

- Found in Releases 3.5.0, 3.5.1, 3.6.0 added

#4 - 02/01/2023 10:53 AM - The Foreman Bot

- Fixed in Releases 3.6.0 added

#5 - 02/01/2023 11:01 AM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|dee223bbd748e74cd675e24171cf2c24a5d96f4c.

#6 - 02/01/2023 12:22 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/830 added

#7 - 02/01/2023 12:33 PM - Evgeni Golov

- Fixed in Releases 3.5.2 added

#8 - 02/28/2023 02:58 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Triaged changed from No to Yes

Powered by TCPDF (www.tcpdf.org)

05/21/2024 2/2

https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman/revisions/dee223bbd748e74cd675e24171cf2c24a5d96f4c
http://www.tcpdf.org

